Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
PUTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required

UpdateVpcFirewall

UpdateVpcFirewall

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatevpcfirewallObjectRequired

    updatevpcfirewall request body object.

    • descriptionString

      Optional. The detailed description of the resource.

    • nameString

      Optional. The resource name.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • descriptionStringRequired

      The detailed description of the resource.

    • refsListRequired

      See refs.

      • idlongRequired

        资源ID。

      • ruleSetUuidStringRequired

        规则设置UUID。

      • l3UuidStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • packetsForwardTypePacketsForwardTypeRequired

        See packetsForwardType.

        • inPacketsForwardTypeRequired

          No description provided.

        • outPacketsForwardTypeRequired

          No description provided.

        • localPacketsForwardTypeRequired

          本地。

Endpoint

PUT/zstack/v1/vpcfirewalls/{uuid}/actions

/zstack/v1/vpcfirewalls/{uuid}/actions

Operation ID

UpdateVpcFirewall

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vpcfirewalls/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevpcfirewall":{"description":"<description>","name":"<name>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "example-name", "refs": [ { "id": 1.0, "ruleSetUuid": "b3074e9040ef3a2ea30d5843a85b3cdb", "l3NetworkUuid": "a53439b32bc133b2a95bd09c9a8c5b67", "packetsForwardType": "in", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "description": "example-des" } }

Change History

This API has no change history records yet.

View all change history